﻿using System;
using DevExpress.Persistent.Base;
using DevExpress.Persistent.BaseImpl;
using DevExpress.Xpo;

namespace NumeratorTestSolution.Module.BusinessObjects
{
    [DefaultClassOptions]
    public class DateNumerator : BaseObject
    {
        public DateNumerator(Session session)
            : base(session)
        {
        }

        private string _caption;
        public string Caption
        {
            get { return _caption; }
            set { this.SetPropertyValue("Caption", ref this._caption, value); }
        }

        private string _number;
        public string Number
        {
            get { return _number; }
            set { this.SetPropertyValue("Number", ref this._number, value); }
        }

        public DateTime DateTimeProperty { get; set; }
    }
}
